org.apache.olingo.ext.pojogen

## Class AbstractUtility

- java.lang.Object
- - org.apache.olingo.ext.pojogen.AbstractUtility

- Direct Known Subclasses:
    V4Utility

      public abstract class AbstractUtility
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Map<String,List<EdmEntityType>>` | `allEntityTypes`
    `protected String` | `basePackage`
    `protected static String` | `FC_CONTENT_KIND`
    `protected static String` | `FC_KEEP_IN_CONTENT`
    `protected static String` | `FC_NS_PREFIX`
    `protected static String` | `FC_NS_URI`
    `protected static String` | `FC_SOURCE_PATH`
    `protected static String` | `FC_TARGET_PATH`
    `protected String` | `namespace`
    `protected String` | `schemaName`
    `protected static String` | `TYPE_SUB_PKG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractUtility(Edm metadata, EdmSchema schema, String basePackage)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `capitalize(String str)`
    `EdmAction` | `getActionByName(FullQualifiedName name)`
    `List<EdmAction>` | `getActionsBoundTo(String typeExpression, boolean collection)`
    `String` | `getBasePackage()`
    `String` | `getContainedEntitySet(EdmNavigationProperty navProp)`
    `List<String>` | `getDescendantsOrSelf(org.apache.olingo.commons.core.edm.EdmTypeInfo entityType)`
    `org.apache.olingo.commons.core.edm.EdmTypeInfo` | `getEdmType(EdmEntitySet entitySet)`
    `org.apache.olingo.commons.core.edm.EdmTypeInfo` | `getEdmType(EdmNavigationProperty navProp)`
    `org.apache.olingo.commons.core.edm.EdmTypeInfo` | `getEdmType(EdmSingleton singleton)`
    `org.apache.olingo.commons.core.edm.EdmTypeInfo` | `getEdmTypeInfo(EdmType type)`
    `org.apache.olingo.commons.core.edm.EdmTypeInfo` | `getEdmTypeInfo(String expression)`
    `Map<String,String>` | `getEntityKeyType(EdmEntitySet entitySet)`
    `Map<String,String>` | `getEntityKeyType(EdmEntityType entityType)`
    `Map<String,String>` | `getEntityKeyType(EdmNavigationProperty navProp)`
    `Map<String,String>` | `getEntityKeyType(EdmSingleton singleton)`
    `Map<String,String>` | `getFcProperties(EdmProperty property)`
    `EdmFunction` | `getFunctionByName(FullQualifiedName name)`
    `List<EdmFunction>` | `getFunctionsBoundTo(String typeExpression, boolean collection)`
    `String` | `getJavaType(EdmEntityType entityType)`
    `String` | `getJavaType(EdmEntityType entityType, Boolean forceCollection)`
    `String` | `getJavaType(EdmType type)`
    `String` | `getJavaType(EdmType type, Boolean forceCollection)`
    `String` | `getJavaType(String typeExpression)`
    `String` | `getJavaType(String typeExpression, boolean forceCollection)`
    `protected Edm` | `getMetadata()`
    `String` | `getNameFromNS(String ns)`
    `String` | `getNameFromNS(String ns, boolean toLowerCase)`
    `String` | `getNameInNamespace(String name)`
    `String` | `getNamespace()`
    `NavPropertyBindingDetails` | `getNavigationBindingDetails(EdmStructuredType sourceEntityType, EdmNavigationProperty property)`
    `String` | `getNavigationType(EdmNavigationProperty property)`
    `protected EdmSchema` | `getSchema()`
    `String` | `getSchemaName()`
    `boolean` | `isComplex(FullQualifiedName fqn)`
    `boolean` | `isNavigationAlreadyDeclared(EdmStructuredType type, EdmNavigationProperty property)`
    `boolean` | `isSameType(String entityTypeExpression, String fullTypeExpression, boolean collection)`
    `boolean` | `isStreamType(EdmType type)`
    `String` | `join(Object[] array, String sep)`
    `List<EdmOperation>` | `justInheritedOperationsBoundTo(EdmEntityType entity)`
    `String` | `uncapitalize(String str)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### FC_TARGET_PATH

          protected static final String FC_TARGET_PATH

      See Also:
        Constant Field Values

    - #### FC_SOURCE_PATH

          protected static final String FC_SOURCE_PATH

      See Also:
        Constant Field Values

    - #### FC_KEEP_IN_CONTENT

          protected static final String FC_KEEP_IN_CONTENT

      See Also:
        Constant Field Values

    - #### FC_CONTENT_KIND

          protected static final String FC_CONTENT_KIND

      See Also:
        Constant Field Values

    - #### FC_NS_PREFIX

          protected static final String FC_NS_PREFIX

      See Also:
        Constant Field Values

    - #### FC_NS_URI

          protected static final String FC_NS_URI

      See Also:
        Constant Field Values

    - #### TYPE_SUB_PKG

          protected static final String TYPE_SUB_PKG

      See Also:
        Constant Field Values

    - #### basePackage

          protected final String basePackage

    - #### schemaName

          protected final String schemaName

    - #### namespace

          protected final String namespace

    - #### allEntityTypes

          protected final Map<String,List<EdmEntityType>> allEntityTypes

  - ### Constructor Detail

    - #### AbstractUtility

          public AbstractUtility(Edm metadata,
                                 EdmSchema schema,
                                 String basePackage)

  - ### Method Detail

    - #### getEdmTypeInfo

          public org.apache.olingo.commons.core.edm.EdmTypeInfo getEdmTypeInfo(EdmType type)

    - #### getEdmTypeInfo

          public org.apache.olingo.commons.core.edm.EdmTypeInfo getEdmTypeInfo(String expression)

    - #### getEdmType

          public org.apache.olingo.commons.core.edm.EdmTypeInfo getEdmType(EdmSingleton singleton)

    - #### getEdmType

          public org.apache.olingo.commons.core.edm.EdmTypeInfo getEdmType(EdmNavigationProperty navProp)

    - #### isComplex

          public boolean isComplex(FullQualifiedName fqn)

    - #### getEntityKeyType

          public Map<String,String> getEntityKeyType(EdmSingleton singleton)

    - #### getEntityKeyType

          public Map<String,String> getEntityKeyType(EdmNavigationProperty navProp)

    - #### getMetadata

          protected Edm getMetadata()

    - #### getSchema

          protected EdmSchema getSchema()

    - #### getNavigationType

          public String getNavigationType(EdmNavigationProperty property)

    - #### getNavigationBindingDetails

          public NavPropertyBindingDetails getNavigationBindingDetails(EdmStructuredType sourceEntityType,
                                                                       EdmNavigationProperty property)

    - #### isNavigationAlreadyDeclared

          public boolean isNavigationAlreadyDeclared(EdmStructuredType type,
                                                     EdmNavigationProperty property)

    - #### getContainedEntitySet

          public String getContainedEntitySet(EdmNavigationProperty navProp)

    - #### getFunctionByName

          public EdmFunction getFunctionByName(FullQualifiedName name)

    - #### getActionByName

          public EdmAction getActionByName(FullQualifiedName name)

    - #### isStreamType

          public boolean isStreamType(EdmType type)

    - #### getFunctionsBoundTo

          public List<EdmFunction> getFunctionsBoundTo(String typeExpression,
                                                       boolean collection)

    - #### justInheritedOperationsBoundTo

          public List<EdmOperation> justInheritedOperationsBoundTo(EdmEntityType entity)

    - #### getActionsBoundTo

          public List<EdmAction> getActionsBoundTo(String typeExpression,
                                                   boolean collection)

    - #### getJavaType

          public String getJavaType(EdmType type,
                                    Boolean forceCollection)

    - #### getJavaType

          public String getJavaType(EdmType type)

    - #### getJavaType

          public String getJavaType(EdmEntityType entityType,
                                    Boolean forceCollection)

    - #### getJavaType

          public String getJavaType(EdmEntityType entityType)

    - #### getJavaType

          public String getJavaType(String typeExpression)

    - #### getJavaType

          public String getJavaType(String typeExpression,
                                    boolean forceCollection)

    - #### getEdmType

          public org.apache.olingo.commons.core.edm.EdmTypeInfo getEdmType(EdmEntitySet entitySet)

    - #### getEntityKeyType

          public Map<String,String> getEntityKeyType(EdmEntitySet entitySet)

    - #### getEntityKeyType

          public Map<String,String> getEntityKeyType(EdmEntityType entityType)

    - #### getNameInNamespace

          public final String getNameInNamespace(String name)

    - #### isSameType

          public boolean isSameType(String entityTypeExpression,
                                    String fullTypeExpression,
                                    boolean collection)

    - #### getDescendantsOrSelf

          public List<String> getDescendantsOrSelf(org.apache.olingo.commons.core.edm.EdmTypeInfo entityType)

    - #### getBasePackage

          public String getBasePackage()

    - #### getSchemaName

          public String getSchemaName()

    - #### getNamespace

          public String getNamespace()

    - #### capitalize

          public String capitalize(String str)

    - #### uncapitalize

          public String uncapitalize(String str)

    - #### join

          public String join(Object[] array,
                             String sep)

    - #### getFcProperties

          public Map<String,String> getFcProperties(EdmProperty property)

    - #### getNameFromNS

          public final String getNameFromNS(String ns)

    - #### getNameFromNS

          public final String getNameFromNS(String ns,
                                            boolean toLowerCase)

Copyright © 2013–2022 The Apache Software Foundation. All rights reserved.